package example.common.handler;

import java.util.ArrayList;
import java.util.List;

import javax.xml.ws.handler.Handler;
import javax.xml.ws.handler.HandlerResolver;
import javax.xml.ws.handler.PortInfo;

public class HandlerResolverImpl implements HandlerResolver {

    @SuppressWarnings("unchecked")
    List<Handler> handlerChain = new ArrayList<Handler>();

    @SuppressWarnings("unchecked")
    public List<Handler> getHandlerChain(PortInfo portInfo) {
        return handlerChain;
    }

    public void addHandler(Handler<?> handler) {
        handlerChain.add(handler);
    }

}
